# Progressive Web Server
This software release takes a local PWA and starts a global server with
some additional configuration options.

## Parameters
The following instance parameters can be configured:

- target-pwa-url:           Path of the PWA source.
- publicity:                Server availability on other machines.
- server-side-renderering:  Prerendering of the PWA via headless chrome.
- persistence:              Caching of the PWS state.
- replication-count:        Number of times this server is replicated.
- nginx-proxy-port:         Port for Ningx proxy to listen on.
- python-proxy-port:        Port for Python proxy to listen on.
- monitor-httpd-port:       Port for monitoring.
- remote-debugging-port:    Port for Chromium to listen on.
- webserver-proxy-port:     Port for the NodeJS proxy to listen on.

## Examples
Serve static content of PWA (eg. html server):
-> publicity = public
-> server-side-renderering = none
-> persistence = none
-> replication-count = 1

Background task of the PWA (eg. database):
-> publicity = private
-> server-side-renderering = full
-> persistence = full
-> replication-count = 1
